# synfigapp::Action::PassiveGrouper Class Reference

Passive action grouping class. More...

`#include <action_system.h>`

List of all members.

## Public Member Functions

| PassiveGrouper (etl::loose_handle< System > instance_, synfig::String name_)
| ~PassiveGrouper ()
const synfig::String & | get_name () const
void | set_name (const synfig::String &x)
etl::loose_handle< System > | get_instance ()
void | request_redraw (etl::handle< CanvasInterface >)
void | cancel ()
void | inc_depth ()
void | dec_depth ()
const int & | get_depth () const

## Detailed Description

Passive action grouping class.

## Constructor & Destructor Documentation

Action::PassiveGrouper::PassiveGrouper | ( | etl::loose_handle< System > | instance_,
|  | synfig::String | name_ |
| ) |  |  |

Action::PassiveGrouper::~PassiveGrouper | ( |  | ) |

References synfigapp::Action::CanvasSpecific::get_canvas_interface(), synfigapp::Action::CanvasSpecific::is_dirty(), and request_redraw().

## Member Function Documentation

const synfig::String& synfigapp::Action::PassiveGrouper::get_name | ( |  | ) | const`[inline]`

void synfigapp::Action::PassiveGrouper::set_name | ( | const synfig::String & | x | ) | `[inline]`

etl::loose_handle<System> synfigapp::Action::PassiveGrouper::get_instance | ( |  | ) | `[inline]`

void Action::PassiveGrouper::request_redraw | ( | etl::handle< CanvasInterface > | x | ) |

Referenced by ~PassiveGrouper().

void Action::PassiveGrouper::cancel | ( |  | ) |

References _.

Referenced by synfigapp::CanvasInterface::import(), and studio::LayerParamTreeStore::set_value_impl().

void synfigapp::Action::PassiveGrouper::inc_depth | ( |  | ) | `[inline]`

void synfigapp::Action::PassiveGrouper::dec_depth | ( |  | ) | `[inline]`

const int& synfigapp::Action::PassiveGrouper::get_depth | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following files:

- action_system.h
- action_system.cpp